# Method Stdio.Fd()->openat()

Method openat

  ``Stdio.File` openat(`string` `filename`)`
  ``Stdio.File` openat(`string` `filename`, `string` `mode`)`
  ``Stdio.File` openat(`string` `filename`, `string` `mode`, `int` `access`)`

Description

  Open a file relative to an opened directory.

Returns

  Returns a new file object on success, and `0` (zero) on failure.

Note

  Not available on all architectures, or in Pike 7.6 and earlier.

See also

  open(), statat(), unlinkat()